Skip to content

DELETE Permission

This API call deletes a permission. This is only allowed by the superuser.

Location

/api/v1/portal-management/permissions/

Permissions required

being superuser.

Body parameters

Parameter Type Required Description
permission_uuid uuid yes Unique id of the permission,

Example Body (json)

{
        "permission_uuid": "e0a60eba-52f6-11f1-8bcc-bc2411125ba4",
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/permissions/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: DELETE'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"Permission deleted successfully."

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.